# System Settings

Use this page to configure system-wide settings according to your organization's specifications.

- User Interface: Use this sub-panel to configure the user interface such as the number of items displayed in a List View.
- Logos: Use this sub-panel to view your organization's current logo or to upload a new logo for display on your system and for your customer quotes.
- LDAP Authentication Support: If you have implemented LDAP authentication, select Enable LDAP and enter the necessary information to allow the application to authenticate your users against your LDAP directory when they attempt to log into Sugar.
- Proxy Settings: If you are using a proxy server to connect to the Internet, select the Use Proxy Server? box.
- Customer Self-service Portal: Select Enable self-service portal integration? to integrate your organization's self-service portal with Sugar. This allows your customers to access your Sugar items such as Notes and Cases.
- SkypeOut: Select Enable SkypeOut Integration? to allow users to communicate using SkypeOut.
- Mail Merge: If you have installed the Sugar Plug-in for Microsoft Word, click Enable Mail Merge? to allow users to perform a mail merge with Word documents.
- Advanced: Use this sub-panel to do the following:
  - Validate user IP address: Select this option to validate, for security purposes, the IP addresses of users who log into Sugar.
  - Log slow queries: Select this option to log the system's slow responses to user queries in the sugarcrm.log file. This information is for performance tuning investigation.
  - Maximum upload size: Enter the maximum file size, in KB, that users are allowed to upload. The upload size is also dependent on PHP's upload settings.
  - Log memory usage: Select this option to record memory usage in the sugarcrm.log file.
  - Slow query time threshold: Specify the threshold, in milliseconds, that defines slow queries. Queries that take longer that the threshold time are logged in the sugarcrm.log file. This information is for performance tuning investigation.
  - Display stack trace of errors: When you select this option, if an error occurs when users are running the application, the system displays where the error occurred in the application's stack trace. This information is for debugging purposes.
  - Portal Session Timeout: Enter the time period, in seconds, for a SugarPortal session. The session will timeout when the limit is reached.
- Logger Settings:To configure Logger settings to log events that occur in the Sugar application, enter information in the following fields.
  - Log File Name. Specify a name for the log file.
  - Extension. Enter the file extension. The default is .log.
  - Append After File Name. From the drop-down list, select a time period to append to the file name. This makes it easier to identify the log that you want to view.
  - Maximum Log Size. Specify the maximum size of the log file in MegaBytes (MB). The default is 10MB.
  - Log Level. From the drop-down list, select the event level that you want to capture in the log file. The default is fatal.
  - Default Date Format. Enter the default date format for the log file. This format must be supported by strftime. The default is %c.
  - Maximum Number of Logs. Specify the maximum number of log files to save. When the number of log files exceed this limit, Sugar deletes the log file that was created first. The default is 10 logs.

  To save your settings, click Save.

  To restore the previous settings, click Restore.

  To exit the System Settings page without saving your changes, click Cancel.